Bug 109535 - Data cannot fit device but mkbootdisk writes data out anyway
Summary: Data cannot fit device but mkbootdisk writes data out anyway
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkbootdisk   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-09 04:12 UTC by Kam Leo
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 09:37:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
apply this patch and mkbootdisk won't write data to device, if data_size > --size (defaul=1440) (335 bytes, text/plain)
2004-10-26 09:36 UTC, Peter Vrabec
no flags Details

Description Kam Leo 2003-11-09 04:12:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Not enough space to fit all data yet mkbootdisk writes data to device
anyway.


Version-Release number of selected component (if applicable):
mkbootdisk-1.5.1-1

How reproducible:
Always

Steps to Reproduce:
1. Find system with initrd file greater than 244 KB. (It's 305622 on
my system)
2. At terminal enter: mkbootdisk 2.4.22-1.2115.nptl
3. Insert formatted 1.44 MB floppy diskette and press 'Enter'
    

Actual Results:  
[root@jersey root]# mkbootdisk 2.4.22-1.2115.nptl
Insert a disk in /dev/fd0. Any information on the disk will be lost.
Press <Enter> to continue or ^C to abort:
cp: writing `/tmp/mkbootdisk.kv4117/initrd.img': No space left on device
cat: write error: No space left on device
cat: write error: No space left on device
20+0 records in
20+0 records out

Not all required data (files) are written to diskette.  

Expected Results:  Nothing is written if total of file sizes exceeds
formatted capacity of device.

Additional info:

mkbootdisk should sum the size of all files.  If sum is greater than
capacity of device, 1.44 MB for floppy diskette, issue error message
and do not proceed with writing data directly to device.

Comment 1 Peter Vrabec 2004-10-26 09:36:17 UTC
Created attachment 105786 [details]
apply this patch and mkbootdisk won't write data to device, if data_size > --size (defaul=1440)


Note You need to log in before you can comment on or make changes to this bug.